Bug 11342 - Error with opac self registration if BorrowersTitles is empty
Summary: Error with opac self registration if BorrowersTitles is empty
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-05 14:15 UTC by Kyle M Hall
Modified: 2015-06-04 23:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11342 - Error with opac self registration if BorrowersTitles is empty (4.21 KB, patch)
2013-12-05 14:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11342 - Error with opac self registration if BorrowersTitles is empty (4.27 KB, patch)
2013-12-31 22:46 UTC, Biblibre Sandboxes
Details | Diff | Splinter Review
[PASSED QA] Bug 11342 - Error with opac self registration if BorrowersTitles is empty (4.55 KB, patch)
2014-01-05 21:30 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-12-05 14:15:05 UTC
If BorrowersTitles is empty, it causes the library pulldown on the self registration page to be empty, and to have the "Saluation" field have the option "branches".
Comment 1 Kyle M Hall 2013-12-05 14:18:42 UTC Comment hidden (obsolete)
Comment 2 Biblibre Sandboxes 2013-12-31 22:46:16 UTC
Patch tested with a sandbox, by Christopher Brannon <cbrannon@cdalibrary.org>
Comment 3 Biblibre Sandboxes 2013-12-31 22:46:58 UTC Comment hidden (obsolete)
Comment 4 Christopher Brannon 2013-12-31 22:49:13 UTC
Patch works as defined in test plan.

Christopher
Comment 5 Katrin Fischer 2014-01-05 21:30:30 UTC
Created attachment 23910 [details] [review]
[PASSED QA] Bug 11342 - Error with opac self registration if BorrowersTitles is empty

If BorrowersTitles is empty, it causes the library pulldown on the self
registration page to be empty, and to have the "Saluation" field have
the option "branches".

This patch also fixes a minor string capitalization issue.

Test Plan:
1) Enable OPAC self registration
2) Set the system preference BorrowersTitles to be empty
3) View the self registration page
4) Note the lack of branches in the home library pulldown
5) Apply this patch
6) Note the branches now display in the pulldown

Signed-off-by: Christopher Brannon <cbrannon@cdalibrary.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested in bootstrap and prog OPAC, with BorrowersTitle configured
and emptied.
Passes all tests and QA script.

Note: The titles pull down has 2 empty entries in master with
and without the patch.
Comment 6 Galen Charlton 2014-01-06 15:28:21 UTC
Pushed to master.  Thanks, Kyle!
Comment 7 Fridolin Somers 2014-02-18 08:09:28 UTC
Patch pushed to 3.14.x, will be in 3.14.4.